.padding-right-20px {
    padding-right: 20px;
}
.border-bottom-inset {
    border-bottom: inset;
}
.padding-left-10px {
    padding-left: 10px;
}

.float-left {
    float: left;
}

.width-200 {
    width: 200px;
}
.display-inline-block{
    display: inline-block;
}
.margin-left{
    margin-left: 30px;
}

.padding-top-left{
    padding-top: 10px;
    padding-left: 50px;
}
.position-relative{
    position: relative;
}
.width-100{
    width: 100px;
}
.margin-left-15px{
    margin-left: 15px;
}
.margin-top-100 {
    margin-top: 100px;
}
.dropdown-menu-scrollable-menu{
    height: auto;max-height: 410px; overflow-x: hidden; 
}

.icon-stack-has-badge{
    font-size: 20px;
    color: white;
}
#order_split_funds {
    margin-top: 10px;
    margin-bottom: 2px;
    border: 1px solid #e5e5e5;
   -webkit-border-radius: 4px;
   -moz-border-radius: 4px;
   border-radius: 4px;
}
#info-popup {
    vertical-align: middle;
}

#subscription_recurring {
    margin-top: 0px !important;
}
.width-95px{
    width: 95px;
}
.color-white{
    color: white;
}
.width-206px{
    width: 206px;
}
.float-left-margin-right-8px{
float: left;
margin-right: 8px;
}
.margin-left-align{
    margin-right: 100px;
    margin-top: 10px;
    text-align: left;
}
.color-red{
    color: red;
}
.width-320px{ width:320px;}
.accordion-inner {padding: 0px; border-top: 0px !important; }
.base_split_fund_row_0 {margin-top: 5px;}
h4.sub { margin: 20px 0 15px 10px !important; }
.padding-right-5px{
    padding-right: 5px;
}
.margin-30-0-0-20{
    margin: 30px 0px 0px 20px;
}
.width-auto{width:auto;}
.width-179{
    width: 179px;
}
.margin-right-100{
    margin-right: 100px;
}
/* .embed6dcdd2f59ab6 {pointer-events: none;} */
.white-space-nowrap{
    white-space:nowrap
}
.display-none{
    display:none;
}
.paging_simple_numbers a {
    padding: 0px 3px;
   cursor: pointer;
}
.bootstrap-switch-normal{
    width: 200px;
  }
  
.icon-blue {color: blue}
  
#isoNote { margin-top: 15px; font-size: 12; color: #3a87ad; display: none;}
#language_form { margin: 0px; }
.margin-0{
    margin: 0px;
}
.margin-left-10px{margin-left:10px;}
.width-25-margin-left-right-10{width:25px; margin-left:10px; margin-right:10px;}
.width-600{width:600px;}
.width-600-height-300{width:600px;  height:300px}
.vertical-align-top-height-width{vertical-align:top; height:16px; width:200px;}
.vertical-align-top{vertical-align: top;}
.width-370{width:370px}
.width-350px{WIDTH:350px}
.width-265-height-300{width:265px;  height:300px}
.text-transform-uppercase{text-transform: uppercase}
.width-450{width:450px;}
.width-400{width: 400px;}
.width-850{width: 850px;}
.padding-left-right-20{padding-left:20px; padding-right:20px;}
.vertical-w-35{vertical-align:middle; width: 35%;}
.width-35p{width: 35%;}
.font-w-bold{font-weight:bold}
.text-align-width{text-align: left !important; vertical-align:middle; width: 35%;}
.text-align-left{text-align: left !important;}
.text-w-35{text-align: left !important;width:35%;}
.font-text-left{font-weight:bold; text-align: left !important;}
.margin-bottom-10{margin-bottom: 10px;}
.display-inline{display: inline;}
.align-content-margin{align-content: center; margin: -4px 0 0;}
.flagged {
    background-color: #F5A9A9;
}
.width-700{
    width: 700px;
}

/* overriding bootstrap deafult styles */
.navbar-custom {
  background: linear-gradient(to bottom, #5999d1 0%, #3f85c1 100%);
}

.navbar-custom .navbar-brand.brand {
  background: url(../images/psigate_logo1.png) no-repeat scroll 0 0 transparent;
  color: #FFFFFF;
  font-size: 23px;
  margin: 7px 0;
  padding: 6px 0 6px 62px;
  text-shadow: none;
  font-family: "proxima-nova", sans-serif;
  font-style: normal;
  font-weight: 600;
  opacity: 0.9;
  transition: opacity .35s ease-in-out;
}
.custom-select-wrapper {
  position: relative;
  max-width: 220px;
}

.custom-select-wrapper .form-select {
  padding-right: 2.5rem;
}

.custom-select-wrapper .bi-chevron-down {
  position: absolute;
  top: 50%;
  right: 0.75rem;
  transform: translateY(-50%);
  pointer-events: none;
}
.fs-6 {
    font-size: 1rem !important;
}
select.form-select {
  padding: 1px 2rem 2px 0.75rem !important;
  font-size: 14px !important;
  width: auto;
}
.navbar>.container-fluid{width:1220px !important;}
body {
    margin: 0 !important;
    font-family: "proxima-nova", sans-serif !important;
    font-size: 14px !important;
    line-height: 20px !important;
    color: #333333 !important;
    background-color: #ffffff !important;
}
/* .alert{padding: 0 !important;} */
.login-form-wrapper .form-control{box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075);border:1px solid #cccccc;height: 29px;font-size: 14px; }
.login-form-wrapper input.form-control:focus:invalid {
  box-shadow: 0 0 4px #e9322d;
  border: 1px solid #e9322d;
}
.login-form-wrapper input.form-control:valid {
  box-shadow: 0 0 4px #356635;
  border: 1px solid #356635;
}
.btn {
  display: inline-block !important;
  padding: 4px 12px !important;
  margin-bottom: 0 !important;
  font-size: 14px !important;
  line-height: 20px !important;
  text-align: center !important;
  vertical-align: middle !important;
  cursor: pointer !important;
  border: 1px solid #cccccc !important;
  border-radius: 4px !important;
  font-family: "proxima-nova", sans-serif !important;
  font-style: normal !important;
  font-weight: 400 !important;
}
.btn-primary {
  color: #ffffff;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  /* background-color: #006dcc; */
  background-image: linear-gradient(to bottom, #0088cc, #0044cc);
  background-repeat: repeat-x;
  /* border-color: #0044cc; */
}
.custom-switch {
  width: 202px;
  border: 1px solid #ccc;
  border-radius: 4px;
  overflow: hidden;
  position: relative;
  font-family: sans-serif;
  font-size: 14px;
  user-select: none;
  height: 30px;
}

.switch-container {
  width: 302px; /* 3 parts: 100 + 102 + 100 */
  display: flex;
  transition: margin-left 0.3s ease;
}
.switch-container.active-border {
  border: 1px solid rgba(82, 168, 236, 0.8);
  border-radius: 5px; 
}
.custom-switch input:checked + .switch-container {
  margin-left: -100px; 
}

.switch-on {
  width: 100px !important;
  background-image: linear-gradient(to bottom, #0088cc, #0044cc);
  background-repeat: repeat-x;
  text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
  color: #ffffff;
  text-align: center;
  padding: 5px;
  cursor: pointer;
  z-index: 2;
}
.switch-off {
  width: 100px;
  text-align: center;
  padding: 5px;
  cursor: pointer;
  z-index: 2;
    width: 100px !important;
  background: linear-gradient(to bottom, #ffffff, #e6e6e6);
  border-color: #e6e6e6 #e6e6e6 #bfbfbf;
}

.switch-slider {
  width: 102px;
  background-color: #eee;
  border-left: 1px solid #ccc;
  border-right: 1px solid #ccc;
}
.alert-info {
    background-color: #d9edf7;
    border-color: #bce8f1;
    color: #3a87ad;
    padding: 8px 35px 8px 14px;
}
.custom-alert {
  
    border-radius: 0.25rem;
}

.custom-close {
    background: none;
    border: none;
    font-size: 1.5rem;
    line-height: 1;
    padding: 0;
    margin-left: 1rem;
    cursor: pointer;
}
#message-pane{
  padding: 15px 15px;
}
.custom-select-style {
    font-family: "proxima-nova", sans-serif;
    font-style: normal;
    font-weight: 400;
    width: 220px;
    height: 30px;
    line-height: 30px;
    padding: 4px 6px;
    margin-bottom: 10px;
    display: inline-block;
    color: #555555;
    border: 1px solid #cccccc;
    background-color: #ffffff;
    border-radius: 4px;
    vertical-align: middle;
}
.select_store {
    word-wrap: normal;
    height: 30px;
    line-height: 30px;
    width: 220px;
    border: 1px solid #cccccc;
    background-color: #ffffff;
    padding: 4px 6px;
    font-size: 14px;
    border-radius: 4px;
    margin-bottom: 10px;
    color: #555555;
}.user-dropdown {
  position: relative;
  display: inline-block;
  font-family: sans-serif;
}

.dropdown-button {
  padding: 8px 12px;
  cursor: pointer;
  user-select: none;
  color: white;
}

.dropdown-menu {
  min-width: 85px !important;
}

.dropdown-menu a {
  display: block;
  text-decoration: none;
  color: black;
  font-size: 14px;
}

.dropdown-menu a:hover {
  background-color: #eee;
}

.user-dropdown.open .dropdown-menu {
  display: block;
}
.nav_iso{
background-color: #34475f; background-image: none; filter: none; 
}

.navbar.level_two .navbar-nav .nav-link:hover,
.navbar.level_two .navbar-nav .nav-link:focus {
 color: #fff;
 text-shadow: 0 0 8px #fff;
}

.navbar.level_two .navbar-nav .nav-link {
  color: #b4bfcd;
  padding: 12px 0 11px;
  text-decoration: none;
  font-size: 16px;
  margin: 0 25px;
  text-shadow: none;
  transition: color 0.25s ease-in, text-shadow 0.45s ease-in-out;
}
.navbar-nav {
  flex-wrap: wrap; 
  padding-right: 30px;
}
.navbar-nav .nav-link {
  white-space: nowrap; 
}
.navbar-toggler {
  background-color: #000000 !important; 
  border: 1px solid #ffffff; 
  padding: 0.25rem 0.5rem;
}
.input-group > .form-control {
  border-radius: 14px 0 0 14px;
  border-right: none;
  font-size: 14px;
  height: 30px;
  max-width: 200px;
}

.input-group > .btn {
  border-radius: 0 14px 14px 0 !important; 
  border-left: none !important; 
  font-size: 14px;
  height: 30px;
}
.input-group {
  float: right;
}
#filterToggleBtn{
  height: 30px;
  font-size: 14px;
  background-color: #e6e6e6;
}
.search-form-wrapper .form-control{ height: 29px; width: 240px; box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
#transactions_length{margin-bottom: 16px;}
/* data tables custome styles */
.page-link{
  font-size: 14px !important; color: #0088cc !important;
}
.active > .page-link,
.page-link.active {
  background-color: #f5f5f5 !important;
  color: #999999 !important;
  border-color: #f5f5f5;
}
/* navbar for merchant home screen */
.navbar-custom .nav-link {
  color: #ffffff !important;
}

.navbar-custom .nav-link:hover,
.navbar-custom .nav-link:focus {
  color: #cccccc !important;
}
@media (min-width: 992px) {
.d-lg-none {
  display: none !important;
} }
.dr .dropdown-item.active,
.dr .dropdown-item:active,.dr .dropdown-item a:hover {
  background-color: #0088cc !important;
  color: #ffffff !important; 
  text-decoration: none;
}
.dr .dropdown-item{
  padding: 3px 20px;
}
.navbar.level_three {
  padding: 0 !important;
}
#date_between{
  display: none !important;
}
  #datepicker {
    width: 300px;
  }
.form-control{-webkit-appearance: auto !important;}
#date_between_from{margin-bottom: 10px;}
.faux-menu a {
  text-decoration: none;
  color: #0088cc;
}
/* .popover-body {padding: 0 0 !important;} */
.btn-mini{
    border-radius: 3px 3px 3px 3px !important;
    font-size: 12px !important;
    padding: 0 6px !important;
}
#create_order_form_details .form-control{ height: 29px; width: 340px; box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
#create_order_form_misc_left .textarea {
    height: 200px !important;
    width: 303px !important;
}
#create_order_form_details .form-label{width: 90px !important;}
.navbar.level_two .nav-item .nav-link.active,
.navbar.level_two .nav-item .nav-link:hover {
  color: #fff !important;
  text-shadow: 0 0 8px #fff !important;
}
.accordion-button{
  font-size: 14px !important;
}
#settingsAccordion2 .accordion-item{
  padding: 10px;
}
#settingsAccordionStore .accordion-item{
  padding: 10px;
}
.no-row-borders td, .no-row-borders th {
  border-bottom: none !important;
}
.custom-font-size .form-control{  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
#create_order_form_details .inline-inputform .form-control {display: inline-block;  width: 160px; height: 29px;  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
.inline-inputform .form-control {display: inline-block;  width: 160px; height: 29px;  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
#create_order_form_details #store_credential_div .form-label { width: auto !important;}
.update_crd_width .form-control{ height: 29px; width: 100px !important; box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075); font-size: 14px;}
.container.details h5 {
  color: #4790D2;
  margin: 20px 0 5px 0;
}
@media print {
  body * {
    visibility: hidden;
  }
  
 #main_panel .dt-paging {
    display: none !important;
  }

  /* Hide filters, search, settings etc. if needed */
  #main_panel .transaction_filters_container,
  #main_panel #main_form,
  #main_panel #filter_popover,
  #main_panel .table_settings,
  #main_panel #RecordMenu,
  #main_panel #transactions_info,
  #main_panel label.me-2,
  #main_panel .maketextalignselectdrop,
  #main_panel #transactions_filter_controller,
  #main_panel #settingsToggle {
    display: none !important;
  }


  .billing_print,
  .billing_print *, #order_details_summary, 
  #order_details_summary *, #main_panel, #main_panel *{
    visibility: visible !important;
  }
   
    #order_details_summary { 
    position: absolute; top: 0; left: 0; width: 100%;
  }

  body:not(:has(.billing_print)) #transactions,
  body:not(:has(.billing_print)) #transactions * {
    visibility: visible !important;
  }
 
  body:not(:has(.billing_print)) #transactions {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
  }

  #transactions th,
  #transactions td {
    text-align: left !important;
  }

 
}



.date-div-filter-width {
  max-width: 200px;
}
.date-filter-width {
  max-width: 150px !important;
}
.date-select-dropdown {
  max-width: 160px;
}
.datepicker-icon {
 padding-top: 0px !important;
 padding-bottom: 0px !important;
}
.date-width{
  margin-bottom: 0px !important;
}
div#payonline-modal .pay_online_select_option {
  width: 100% !important;
}

div#payonline-modal .pay_online_bottom_margin {
  margin-bottom: 4px !important;
}
